Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface TransPostControl

All Known Implementing Classes:
  ApplicationModuleImpl

public interface TransPostControl

Internal: Applications should not use this class.

Defines methods and constants for posting transactions.

Since:
  Jdeveloper 3.0

Field Summary
`static int` | `TRANS_POST_GET_ATTR_BY_INDEX`
`static int` | `TRANS_POST_GET_ATTR_BY_NAME`
`static int` | `TRANS_POST_GET_ATTR_COUNT`
`static int` | `TRANS_POST_GET_ATTR_INDEX_OF`
`static int` | `TRANS_POST_PUSHBACK`
`static int` | `TRANS_POST_REMOVE`
`static int` | `TRANS_POST_REVERT`
`static int` | `TRANS_POST_SET_ATTR_BY_INDEX`
`static int` | `TRANS_POST_SET_ATTR_BY_NAME`

Method Summary
`void` | `transPostPushback(int hdl)` Internal: Applications should not use this method.
`void` | `transPostRemove(int hdl)` Internal: Applications should not use this method.
`void` | `transPostRevert(int hdl)` Internal: Applications should not use this method.

Field Detail

### TRANS_POST_PUSHBACK

    public static final int TRANS_POST_PUSHBACK

### TRANS_POST_REMOVE

    public static final int TRANS_POST_REMOVE

### TRANS_POST_REVERT

    public static final int TRANS_POST_REVERT

### TRANS_POST_GET_ATTR_BY_INDEX

    public static final int TRANS_POST_GET_ATTR_BY_INDEX

### TRANS_POST_GET_ATTR_BY_NAME

    public static final int TRANS_POST_GET_ATTR_BY_NAME

### TRANS_POST_SET_ATTR_BY_INDEX

    public static final int TRANS_POST_SET_ATTR_BY_INDEX

### TRANS_POST_SET_ATTR_BY_NAME

    public static final int TRANS_POST_SET_ATTR_BY_NAME

### TRANS_POST_GET_ATTR_COUNT

    public static final int TRANS_POST_GET_ATTR_COUNT

### TRANS_POST_GET_ATTR_INDEX_OF

    public static final int TRANS_POST_GET_ATTR_INDEX_OF

Method Detail

### transPostPushback

    public void transPostPushback(int hdl)

  Internal: Applications should not use this method.

### transPostRemove

    public void transPostRemove(int hdl)

  Internal: Applications should not use this method.

### transPostRevert

    public void transPostRevert(int hdl)

  Internal: Applications should not use this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD